//--------------------------------------------------------
//================ BLACKMOON RAID shaders ================
//--------------------------------------------------------

//----------------- fireplace textures -------------------
//=========== made by WuTang** December 2017 =============
//--------------------------------------------------------
textures/boringxmas/smoke
{
	qer_editorimage textures/boringxmas/smoke.tga
	qer_trans 0.5
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	{
		map textures/boringxmas/smoke.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

textures/boringxmas/fireplace
{
	qer_editorimage textures/fireplace/fireplace4.tga
	surfaceparm nomarks
	surfaceparm pointlight
	{
		animMap 4 textures/fireplace/fireplace1.tga textures/fireplace/fireplace2.tga textures/fireplace/fireplace3.tga textures/fireplace/fireplace4.tga textures/fireplace/fireplace5.tga textures/fireplace/fireplace6.tga textures/fireplace/fireplace7.tga textures/fireplace/fireplace8.tga textures/fireplace/fireplace7.tga textures/fireplace/fireplace6.tga textures/fireplace/fireplace5.tga textures/fireplace/fireplace6.tga textures/fireplace/fireplace7.tga textures/fireplace/fireplace6.tga textures/fireplace/fireplace5.tga textures/fireplace/fireplace4.tga textures/fireplace/fireplace3.tga textures/fireplace/fireplace2.tga textures/fireplace/fireplace3.tga textures/fireplace/fireplace4.tga textures/fireplace/fireplace3.tga textures/fireplace/fireplace2.tga textures/fireplace/fireplace1.tga
	}
}

//----------------- levelshots shaders -------------------
//=========== made by WuTang** December 2017 =============
//--------------------------------------------------------
levelshots/blackmoon_raid_b1_cc_automap
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/blackmoon_raid_b1_cc.tga
		depthFunc equal
		rgbGen identity
	}
}

levelshots/blackmoon_raid_b1_cc_trans
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/blackmoon_raid_b1_cc.tga
		blendfunc blend
		rgbGen identity
		alphaGen vertex
	}
}

//------------------- wall_lamp model --------------------
//=========== made by WuTang** November 2017 =============
//--------------------------------------------------------
models/mapobjects/light/sconce2
{
	q3map_surfacelight  70000
	surfaceparm nomarks
	implicitmap -
}


models/wall_lamp/wall_lamp03
{
	surfaceparm nomarks
	q3map_noVertexLight
	cull disable
	implicitmap -
}

models/wall_lamp/ametal_m03_light
{
	qer_editorimage textures/metal_misc/ametal_m03.jpg
	surfaceparm nomarks
	surfaceparm nolightmap
	cull disable
	implicitmap textures/metal_misc/ametal_m03.jpg
}

//------------------- dt_aa_mm shader --------------------
//========== last edited by Detoeni 27.12.2004 ===========
//--------------------------------------------------------
models/mapobjects/dt_aa_mm/light_grill
{
	qer_editorimage models/mapobjects/dt_aa_mm/light_grill.tga
	qer_alphafunc greater 0.5
	nomipmaps
	nopicmip
	surfaceparm nomarks
	implicitMask models/mapobjects/dt_aa_mm/light_grill.tga
}

models/mapobjects/dt_aa_mm/bulkhead
{
	qer_editorimage models/mapobjects/dt_aa_mm/bulkhead.tga
	surfaceparm nomarks
	implicitMap models/mapobjects/dt_aa_mm/bulkhead.tga
}

models/mapobjects/dt_aa_mm/light_nl
{
	qer_editorimage models/mapobjects/dt_aa_mm/light_nl.tga
	surfaceparm nomarks
	implicitMap models/mapobjects/dt_aa_mm/light_nl.tga
}

models/mapobjects/dt_aa_mm/swing_light_nl
{
	qer_editorimage models/mapobjects/dt_aa_mm/swing_light_nl.tga
	surfaceparm nomarks
	implicitMap models/mapobjects/dt_aa_mm/swing_light_nl.tga
}

models/mapobjects/dt_aa_mm/light_l
{
	q3map_editorimage models/mapobjects/dt_aa_mm/light_l.tga
	q3map_lightimage models/mapobjects/dt_aa_mm/light_l_blend.tga
	q3map_backSplash 2 23
	q3map_surfacelight  30000
	surfaceparm nomarks
	{
		map models/mapobjects/dt_aa_mm/light_l.tga
		rgbGen vertex
	}
	{
		map models/mapobjects/dt_aa_mm/light_l_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

models/mapobjects/dt_aa_mm/swing_light
{
	q3map_editorimage models/mapobjects/dt_aa_mm/light_l.tga
	q3map_lightimage models/mapobjects/dt_aa_mm/light_l_blend.tga
	q3map_backSplash 2 12
	q3map_surfacelight  50000
	surfaceparm nomarks
	{
		map models/mapobjects/dt_aa_mm/light_l.tga
		rgbGen vertex
	}
	{
		map models/mapobjects/dt_aa_mm/light_l_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

//------------------- terrain shaders --------------------
//=========== made by Wutang** November 2017 =============
//--------------------------------------------------------
textures/boringxmas/rock_snow2
{
	qer_editorimage textures/boringxmas/rock_snow2
	surfaceparm gravelsteps
	q3map_nonplanar
	q3map_shadeAngle 169
	implicitMap -
}

textures/boringxmas/snow_grass
{
	qer_editorimage textures/boringxmas/grass_snow.tga
	surfaceparm snowsteps
	surfaceparm landmine
	q3map_nonplanar
	q3map_shadeAngle 169
	
	{
		// Primary
		map textures/boringxmas/grass_snow2.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/boringxmas/grass_snow.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/boringxmas/lake_terrain
{
	qer_editorimage textures/boringxmas/dirt_snow.tga
	surfaceparm snowsteps
	surfaceparm landmine
	q3map_nonplanar
	q3map_shadeAngle 169
	
	{
		// Primary
		map textures/boringxmas/grass_snow.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/boringxmas/dirt_snow.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/boringxmas/snow_road
{
	qer_editorimage textures/snow_sd/snow_muddy.tga
	surfaceparm snowsteps
	surfaceparm landmine
	q3map_nonplanar
	q3map_shadeAngle 169
	
	{
		// Primary
		map textures/snow_sd/snow_muddy.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/boringxmas/grass_snow.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/boringxmas/snow_rock
{
	qer_editorimage textures/boringxmas/rock_snow2.tga
	surfaceparm landmine
	q3map_nonplanar
	q3map_shadeAngle 169
	
	{
		// Primary
		map textures/boringxmas/rock_cliff.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/boringxmas/grass_snow.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/boringxmas/grass_snow
{
	qer_editorimage textures/boringxmas/grass_snow.tga
	surfaceparm snowsteps
	surfaceparm landmine
	q3map_nonplanar
	q3map_shadeangle 169
	implicitmap textures/boringxmas/grass_snow.tga
}

//=================== blending alphas ====================
//--------------------------------------------------------
textures/boringxmas/alpha_000
{
	q3map_alphaMod volume
	q3map_alphaMod set 0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/boringxmas/alpha_025
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/boringxmas/alpha_050
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/boringxmas/alpha_075
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/boringxmas/alpha_085
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.85
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/boringxmas/alpha_100
{
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}
